# Class SequentialAgent.Builder

java.lang.Object
com.google.adk.agents.BaseAgent.Builder<SequentialAgent.Builder>
com.google.adk.agents.SequentialAgent.Builder

Enclosing class:
  `SequentialAgent`

public static class SequentialAgent.Builder extends BaseAgent.Builder<SequentialAgent.Builder>
Builder for `SequentialAgent`.

- ## Field Summary

  ### Fields inherited from class BaseAgent.Builder

  `afterAgentCallback, beforeAgentCallback, description, name, subAgents`
  Modifier and Type
  Field
  Description
  `protected com.google.common.collect.ImmutableList<Callbacks.AfterAgentCallback>`
  `afterAgentCallback`
  `protected com.google.common.collect.ImmutableList<Callbacks.BeforeAgentCallback>`
  `beforeAgentCallback`
  `protected String`
  `description`
  `protected String`
  `name`
  `protected com.google.common.collect.ImmutableList<BaseAgent>`
  `subAgents`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SequentialAgent`
  `build()`

  ### Methods inherited from class BaseAgent.Builder

  `afterAgentCallback, afterAgentCallback, beforeAgentCallback, beforeAgentCallback, description, name, self, subAgents, subAgents`
  Modifier and Type
  Method
  Description
  `SequentialAgent.Builder`
  `afterAgentCallback(Callbacks.AfterAgentCallback afterAgentCallback)`
  `SequentialAgent.Builder`
  `afterAgentCallback(List<com.google.adk.agents.Callbacks.AfterAgentCallbackBase> afterAgentCallback)`
  `SequentialAgent.Builder`
  `beforeAgentCallback(Callbacks.BeforeAgentCallback beforeAgentCallback)`
  `SequentialAgent.Builder`
  `beforeAgentCallback(List<com.google.adk.agents.Callbacks.BeforeAgentCallbackBase> beforeAgentCallback)`
  `SequentialAgent.Builder`
  `description(String description)`
  `SequentialAgent.Builder`
  `name(String name)`
  `protected SequentialAgent.Builder`
  `self()`
  This is a safe cast to the concrete builder type.
  `SequentialAgent.Builder`
  `subAgents(BaseAgent... subAgents)`
  `SequentialAgent.Builder`
  `subAgents(List<? extends BaseAgent> subAgents)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### build

    public SequentialAgent build()
    Specified by:
      `build` in class `BaseAgent.Builder<SequentialAgent.Builder>`